﻿/* Styles for validation helpers*/
.statChart {
    width: 100%;
    height: 500px;
}

#bloggerProfileImage #assetImagePreview {
    border-radius: 50% !important;
}

.field-validation-valid {
    color: #f6a821;
    display: none;
}

.field-validation-error {
    color: #f6a821;
}

.input-validation-error {
    border: 1px solid #f6a821 !important;
}

    .input-validation-error + .select2 {
        border: 1px solid #f6a821 !important;
    }

.validation-summary-errors {
    color: #f6a821;
}

    .validation-summary-errors ul {
        font-size: small;
        font-weight: normal;
        list-style: none;
        margin: 5px;
        padding: 10px;
    }

        .validation-summary-errors ul li {
            color: #f6a821;
        }

            .validation-summary-errors ul li::before {
                -webkit-font-smoothing: antialiased;
                content: "\f071 \00a0 \00a0 \00a0";
                display: inline-block;
                font-family: "Font Awesome 5 Pro";
                font-style: normal;
                font-variant: normal;
                font-weight: 900;
                text-rendering: auto;
            }

.validation-summary-float-errors li {
    float: left;
    margin-right: 20px;
}

.panel-filled.validation-summary-errors ul {
    padding-bottom: 30px;
}

.panel-filled.validation-summary-errors li {
    float: left;
    padding-right: 20px;
}

.validation-summary-valid {
    display: none;
}

.navbar-default .navbar-brand, .navbar-default .navbar-brand:focus {
    letter-spacing: unset;
}

.required:after {
    content: " *";
}

.view-header .header-icon {
    margin-right: 20px;
}

.navbar-default {
    background-color: #24262d;
}

    .navbar-default .navbar-nav > li > a {
        color: #FFFFFF;
    }

.navbar-nav > li:last-child > a {
    padding: 20px;
}

.navbar-default .navbar-nav > li > a:hover, .navbar-default .navbar-nav > li > a:focus {
    background-color: transparent;
    color: #f6a821;
}

.navbar-default {
    box-shadow: unset;
}

/* sweetalert.css */

.sweet-alert {
    background-color: #30333B;
}

    .sweet-alert h2 {
        color: #f6a821;
    }

    .sweet-alert p {
        color: #f6a821;
        text-align: center;
        text-align: inherit;
    }

.input-group-addon {
    background-color: #52555f;
    border: unset;
    color: unset;
}

.panel-heading {
    border-bottom: 1px solid #30333B;
}

th {
    font-weight: normal;
}

/*
    PACE PROGRESS OVERRIDES
*/

.pace {
    -moz-user-select: none;
    -webkit-pointer-events: none;
    -webkit-user-select: none;
    pointer-events: none;
    user-select: none;
}

.pace-inactive {
    display: none;
}

.pace .pace-progress {
    background: #f6a821;
    height: 3px;
    position: fixed;
    right: 100%;
    top: 60px;
    width: 100%;
    z-index: 2000;
}

.view-header .header-title {
    margin-left: 90px;
}

* {
    border-radius: 0 !important;
}

.breadcrumb {
    background-color: unset;
    padding: 5px 0 0 0;
}

.table.table-bordered {
    border-top: 1px solid #484c5a;
}

.content {
    margin-top: unset;
    transition: unset;
}

/* daterangepicker.css */

.daterangepicker {
    background-color: #484c5a;
    border: 1px solid #484c5a;
}

    .daterangepicker .calendar-table {
        background-color: #484c5a;
    }

    .daterangepicker td.available:hover, .daterangepicker th.available:hover {
        background-color: #3A3C46;
    }

    .daterangepicker td.off, .daterangepicker td.off.in-range, .daterangepicker td.off.start-date, .daterangepicker td.off.end-date {
        background-color: #3A3C46;
    }

.abc-checkbox {
    cursor: default;
    padding-left: 14px;
}

.radioGroup > .abc-radio {
    margin-bottom: 5px;
}

/* select2.css */

.select2-results {
    min-height: unset;
}

.select2-container--default .select2-results > .select2-results__options {
    max-height: 400px;
}

.select2-results__option {
    max-width: 99%;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: unset;
}

.select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: unset;
}

.upload-btn-wrapper {
    display: inline-block;
    overflow: hidden;
    position: relative;
}

    .upload-btn-wrapper input[type=file] {
        font-size: 100px;
        left: 0;
        opacity: 0;
        position: absolute;
        top: 0;
    }

/*SORTABLE LISTS*/

body.dragging, body.dragging * {
    cursor: move !important;
}

.dragged {
    opacity: 0.5;
    position: absolute;
    z-index: 2000;
}

ul.sortable-list li.placeholder {
    position: relative;
    /** More li styles **/
}

    ul.sortable-list li.placeholder:before {
        position: absolute;
        /** Define arrowhead **/
    }

ul.sortable-list li {
    cursor: move;
}

ul.sortable-list {
    background-color: #32353E;
    border: 2px solid #32353E;
    height: 500px;
    list-style-type: none;
    margin: 0;
    overflow-x: hidden;
    overflow-y: auto;
    padding: 0;
}

/* Admin padding for checkbox vertical alignments */
.pad7 {
    padding-top: 7px !important;
}

.dark-link {
    color: #2E2E2E !important;
}

.control-label {
    text-align: right;
    padding-top: 8px;
}


@media (min-width: 1000px) {
    .modal-xlg {
        max-width: 960px;
    }
}

@media (min-width: 1100px) {
    .modal-xlg {
        max-width: 1060px;
    }
}

@media (min-width: 1200px) {
    .modal-xlg {
        max-width: 1160px;
    }
}

@media (min-width: 1300px) {
    .modal-xlg {
        max-width: 1260px;
    }
}
@media (min-width: 1400px) {
    .modal-xlg {
        max-width: 1360px;
    }
}

@media (min-width: 1500px) {
    .modal-xlg {
        max-width: 1460px;
    }
}

@media (min-width: 1600px) {
    .modal-xlg {
        max-width: 1560px;
    }
}

@media (min-width: 1700px) {
    .modal-xlg {
        max-width: 1660px;
    }
}

@media (min-width: 1800px) {
    .modal-xlg {
        max-width: 1760px;
    }
}


.ct-axis-title .ct-label {
    color: white !important;
}

.ct-label {
    font-size: 24px;
    color: white !important;
}

.ct-axis-title {
    font-size: 24px;
    color: white !important;
}

.ct-label {
    font-size: 24px;
    fill: white !important;
    color: white !important;
    line-height: 1 !important;
}


table.pvtTable th {
    background-color: #494B54 !important;
}

table.pvtTable.pvtFixedHeader th > div.pvtFixedHeader {
    background-color: transparent !important;
}

table.pvtTable td.totalValue, table.pvtTable td.subtotalValue {
    color: white !important;
}

.ct-series-a .ct-bar {
    stroke: green;
}

.ct-series-b .ct-point, .ct-series-b .ct-line, .ct-series-b .ct-bar, .ct-series-b .ct-slice-donut {
    stroke: green !important;
}

offerad {
    font-weight: bold;
    color: black;
    border: 1px solid #fa7307;
    background-color: #fa7307;
    padding: 5px;
    border-radius: 5px !important;
}

carousel {
    width: 100%;
    background-color: burlywood;
    text-align: center;
    display: block;
    line-height: 75px;
}

.mobile-preview {
    display: block;
    float: none;
    margin: 0 auto;
    width: 360px !important;
}

offers {
    width: 100%;
    background-color: orange;
    text-align: center;
    display: block;
    line-height: 75px;
}

#navigation-item-properties .list-group-item,
#PathProperties .list-group-item {
    background-color: transparent !important;
}

/* overrides for surveyjs */
.sd-container-modern.sd-container-modern--static {
    min-width: 80% !important;
}

[v-cloak] {
    display: none;
}

:root {
    --base-unit: 7px;
}

.sv-string-viewer, .svd-dark-border-color, .svd-test-results__header-text, .svd-test-results__text, .svd-test-results, .sd-completedpage h3 {
    color: black !important;
}

.sv-non-shared-question {
    background-color: #f8bdbb !important;
}


/*.svd_container {
    color: black !important;
}

.svda-content {
    display: none
}

.description_editable {
    display: none
}

.svd-control-label {
    color: black !important;
}

.svd_container span {
    color: black !important;
}

.svd_items_table table, .svd_items_table th {
    color: black;
}*/
/*
.svd-vertical-container__row {
    background-color: #DBDBDB;
}

*/

/*.datepicker-days table th {
    color: #212529 !important;
}*/

/* table column ellipsis */
.tdEllipsis {
    max-width: 200px !important;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}


/* Express Builder */

.tinyMarkRegField {
    background-color: lightpink;
}

.tinyMarkExpression {
    background-color: lightblue;
}

/* TinyMce modal contentHtml Editor*/
#contentHtmlEditor.modal.fade.show div.modal-dialog.modal-dialog-centered.modal-xlg {
    min-width: 80% !important;
    max-width: 90% !important;
}


.svc-toolbox__item--icon-calendar .svc-toolbox__item-container:before {
    position: absolute;
    font-family: 'Font Awesome 6 Pro';
    font-size: 22px;
    font-weight: 300;
    top: 2px;
    left: 14px;
    content: "\f073";
    color: #909090
}


/* Reporting - Offers Dashboard */
.font-black-bold {
    color: #000;
    font-weight: bold;
}

.dash-link {
    text-decoration: underline;
    color: #949ba2;
}

    .dash-link:hover {
        text-decoration: underline;
        color: #949ba2;
    }

.asc:after {
    content: "\25B2"
}

.desc:after {
    content: "\25BC"
}

vc {
    width: 100%;
    background-color: orange;
    text-align: center;
    display: block;
    line-height: 75px;
}

.vcHighlight {
    text-align: center;
    min-width: 100%;
    width: 100%;
    min-height: 200px;
    background-color: pink;
    display: block;
    line-height: 200px;
    border: 1px solid grey;
}

.mce-content-body script {
    text-align: center;
    min-width: 100%;
    width: 100%;
    min-height: 50px;
    background-color: #5165FF;
    display: block;
    line-height: 50px;
    border: 1px solid grey;
}

.sv-popup__body-content {
    min-width: 550px;
}

.svc-logic-paneldynamic div.svc-logic-operator {
    min-height: 35px;
}

.hidechars {
    font-family: text-security-disc;
    /* Use -webkit-text-security if the browser supports it */
    -webkit-text-security: disc;
}

.workflowPageNotice {
    margin-top: 20px;
    border-radius: 20px !important;
    border: 1px solid white;
    padding: 15px;
}

    .workflowPageNotice b {
        color: white;
        margin-right: 10px;
    }


/* Article template editor */

#ArticleTemplateEditor, #LastPublishedTemplateEditor, #TemplateDesignEditor, #StyleSheetEditor, #LastPublishedStyleSheetEditor,
#SharedLayoutEditor, #LastPublishedSharedLayoutEditor, #AIGenerateJSONPayload, #ComponentDefaultDesignEditor, #ComponentDesignEditor, #ComponentDesignEditorEmbed,
#EmailTemplateSubject, #EmailTemplateBody{
    width: 100%;
    height: 575px;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

    #EmailTemplateSubject{
        height:100px;
    }

    #vueTemplateDesigner .modal.modal-left .modal-dialog,
    #vueTemplateDesigner .modal.modal-right .modal-dialog {
        max-width: 180px;
        min-height: calc(100vh - 0px);
    }

#vueTemplateDesigner .modal.modal-left.show .modal-dialog,
#vueTemplateDesigner .modal.modal-right.show .modal-dialog {
    transform: translate(0, 0);
}

#vueTemplateDesigner .modal.modal-left .modal-content,
#vueTemplateDesigner .modal.modal-right .modal-content {
    height: calc(100vh - 0px);
    overflow-y: auto;
}

#vueTemplateDesigner .modal.modal-left .modal-dialog {
    transform: translate(-100%, 0);
    margin: 0px auto 0 0;
}

#vueTemplateDesigner .modal.modal-right .modal-dialog {
    transform: translate(100%, 0);
    margin: 0px 0 0 auto;
}

#vueTemplateDesigner .modal-full {
    min-width: 25%;
    margin: 0;
}

#vueTemplateDesigner .modal-full .modal-content {
    min-height: 50vh;
}

#vueTemplateDesigner .componentSelector {
    min-height: 100px;
    width: 100%;
}

#componentDesignTreeView {
    min-height: 750px !important;
    max-height: 750px;
    overflow: auto;
    border-bottom: 1px solid #ccc;
}

.nodeNotPublished, .nodeNotPublished > .jstree-anchor {
    color: #17a2b8;
}

.nodePendingPublish, .nodePendingPublish > .jstree-anchor {
    color: #ffc107;
}